import bpy
from render_nox.material.material_ops import runNOX, getNOXpath
from render_nox.export.export_nox_scene import write_NOX_data
import time

#---------------------------------------------------------------------------------------------------

class RunNOXRendererOperator(bpy.types.Operator):
    bl_idname = "wm.buttonrunnoxrenderer"
    bl_label = "Render in NOX"
    def execute(self, context):
        noxpath = getNOXpath()
        if not noxpath[0]:
            print("Export error: NOX not found.")
            return {'CANCELLED'}
        scene = bpy.context.scene
        if not scene:
            print("Export error: Scene is NULL. (invoked from operator)")
            return {'CANCELLED'}
        timestr = time.strftime("_%Y_%m_%d_%H_%M_%S")
        noxscenefile = noxpath[1]+'\\exported scenes\\'+scene.name+timestr+".nox"
        print("exporting to file: "+noxscenefile)
        write_NOX_data(bpy.context, noxscenefile, 'OPT_A')
        print("starting nox")
        runNOX(noxscenefile, True)
        return{'FINISHED'}
